# KHRDebugCallback (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class KHRDebugCallback

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opengl.KHRDebugCallback

All Implemented Interfaces:
  PointerWrapper

    public final class KHRDebugCallback

extends PointerWrapperAbstract

Instances of this class are needed to use the callback functionality of the KHR_debug extension. Users of this class may provide implementations of the `Handler` interface to receive notifications. The same `Handler` instance may be used by different contexts but it is not recommended. Handler notifications are synchronized.

Author:
  Spasi

Nested Class Summary
`static interface` `KHRDebugCallback.Handler` Implementations of this interface can be used to receive ARB_debug_output notifications.

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Constructor Summary
`KHRDebugCallback()` Creates an KHRebugCallback with a default callback handler.
`KHRDebugCallback(KHRDebugCallback.Handler handler)` Creates an ARBDebugOutputCallback with the specified callback handler.

Method Summary

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, equals, getPointer, hashCode, isValid, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KHRDebugCallback

    public KHRDebugCallback()

  Creates an KHRebugCallback with a default callback handler. The default handler will simply print the message on System.err.

### KHRDebugCallback

    public KHRDebugCallback(KHRDebugCallback.Handler handler)

  Creates an ARBDebugOutputCallback with the specified callback handler. The handler's `handleMessage` method will be called whenever debug output is generated by the GL.

  Parameters:
    `handler` - the callback handler

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.